> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.projectmanager.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.projectmanager.com/_mcp/server.

# Enable Integration

POST https://api.projectmanager.com/api/data/integrations/{integrationId}

Enable a specific Integration for the current Workspace.
            
The Integrations API is intended for use by ProjectManager and its business development partners.  Please
contact ProjectManager's sales team to request use of this API.

Reference: https://developer.projectmanager.com/api-reference/integration/enable-integration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `integrationId` (string, required) — The unique identifier of the Integration to enable

### Headers

- `x-integration-name` (string, optional) — The name of the calling system passed along as a header parameter

## Response

### 200

Success

- `error` (AstroError, optional, nullable) — If the API call failed, this will contain information about the error that occurred.
- `success` (boolean, optional) — True if the API call succeeded; false otherwise.
- `hasError` (boolean, optional) — True if the API call failed.
- `statusCode` (enum, optional) — The HTTP code of the response.
  - Allowed values: `Continue`, `SwitchingProtocols`, `Processing`, `EarlyHints`, `OK`, `Created`, `Accepted`, `NonAuthoritativeInformation`, `NoContent`, `ResetContent`, `PartialContent`, `MultiStatus`, `AlreadyReported`, `IMUsed`, `MultipleChoices`, `MovedPermanently`, `Found`, `SeeOther`, `NotModified`, `UseProxy`, `Unused`, `TemporaryRedirect`, `PermanentRedirect`, `BadRequest`, `Unauthorized`, `PaymentRequired`, `Forbidden`, `NotFound`, `MethodNotAllowed`, `NotAcceptable`, `ProxyAuthenticationRequired`, `RequestTimeout`, `Conflict`, `Gone`, `LengthRequired`, `PreconditionFailed`, `RequestEntityTooLarge`, `RequestUriTooLong`, `UnsupportedMediaType`, `RequestedRangeNotSatisfiable`, `ExpectationFailed`, `MisdirectedRequest`, `UnprocessableEntity`, `Locked`, `FailedDependency`, `UpgradeRequired`, `PreconditionRequired`, `TooManyRequests`, `RequestHeaderFieldsTooLarge`, `UnavailableForLegalReasons`, `InternalServerError`, `NotImplemented`, `BadGateway`, `ServiceUnavailable`, `GatewayTimeout`, `HttpVersionNotSupported`, `VariantAlsoNegotiates`, `InsufficientStorage`, `LoopDetected`, `NotExtended`, `NetworkAuthenticationRequired`
- `data` (IntegrationDto, optional) — The Integrations API is intended for use by ProjectManager and its business development partners. Please contact ProjectManager's sales team to request use of this API.

## Types

### AstroError

Information about an error that occurred within the ProjectManager API.

- `technicalError` (string, optional, nullable) — A technical description of the error that occurred. Not suitable for display to end users.
- `additionalErrors` (list of string, optional, nullable) — If additional errors beyond the main error in `Message` occurred, they will be listed here as individual messages.
- `validationErrors` (map from string to list of string, optional, nullable) — This contains a dictionary of validation errors. The key is the name of the field
- `message` (string, optional, nullable) — A description of the error that occurred. If your application has a user interface, show this message to explain what went wrong.

### IntegrationDto

The Integrations API is intended for use by ProjectManager and its business development partners. Please contact ProjectManager's sales team to request use of this API.

- `id` (string, optional) — The unique identifier of this Integration
- `name` (string, optional) — The friendly name of this Integration
- `description` (string, optional) — A description of this Integration that can be shared with users
- `shortId` (string, optional) — A short ID that uniquely identifies this Integration
- `isMultiInstance` (boolean, optional) — True if this Integration allows multiple Instances. An example of a multi-Instance Integration is one that can be connected to many different folders or channels within a remote application.
- `licenseSkus` (list of string, optional) — The list of SKUS for this Integration.
- `instances` (list of IntegrationInstanceDto, optional) — For multi-Instance Integrations, this contains the list of IntegrationInstances.
- `enabled` (boolean, optional) — True if this Integration is enabled for the current Workspace.
- `authenticated` (boolean, optional) — True if the user has authenticated
- `autoEnabled` (boolean, optional) — True if the integration is auto-enabled
- `noAdminPermission` (boolean, optional) — No Admin Permission

### IntegrationInstanceDto

The Integrations API is intended for use by ProjectManager and its business development partners. Please contact ProjectManager's sales team to request use of this API.

- `id` (string, optional) — The unique identifier of this IntegrationInstance
- `integrationShortId` (string, optional) — A short ID that uniquely identifies this IntegrationInstance
- `enabledBy` (string, optional) — The unique identifier of the user who enabled this IntegrationInstance
- `createDate` (string, optional) — Timestamp when this record was created
- `modifyDate` (string, optional) — Timestamp when this record was most recently modified
- `projectId` (string, optional) — The id of the project manager project this instance is related to
- `providerItemId` (string, optional) — The identifier in the integration provider, could be a reference to a file, task, project.
- `providerItemName` (string, optional) — The name of the item in the integration provider.

## Examples

**Response**

```json
{
  "error": {
    "technicalError": "string",
    "additionalErrors": [
      "string"
    ],
    "validationErrors": {},
    "message": "string"
  },
  "success": true,
  "hasError": true,
  "statusCode": "Continue",
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "shortId": "string",
    "isMultiInstance": true,
    "licenseSkus": [
      "string"
    ],
    "instances": [
      {
        "id": "string",
        "integrationShortId": "string",
        "enabledBy": "string",
        "createDate": "2024-01-15T09:30:00Z",
        "modifyDate": "2024-01-15T09:30:00Z",
        "projectId": "string",
        "providerItemId": "string",
        "providerItemName": "string"
      }
    ],
    "enabled": true,
    "authenticated": true,
    "autoEnabled": true,
    "noAdminPermission": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.projectmanager.com/api/data/integrations/integrationId"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.projectmanager.com/api/data/integrations/integrationId';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.projectmanager.com/api/data/integrations/integrationId"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.projectmanager.com/api/data/integrations/integrationId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.projectmanager.com/api/data/integrations/integrationId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.projectmanager.com/api/data/integrations/integrationId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.projectmanager.com/api/data/integrations/integrationId");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.projectmanager.com/api/data/integrations/integrationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```